Subject: DRMAA v2
From: Daniel Templeton <[email-masked]>
To: DRMAA Working Group <[email-masked]>
Date: Tue, 20 Jan 2009 08:46:24 -0800

A few proposals for the meeting today:

PT12:
< A language binding SHOULD specify numeric values for all DRMAA error 
constants.
---
 > Such a language binding SHOULD specify numeric values for all DRMAA 
error constants.

PT13:
I definitely agree that PartialTimestamp is a boondoggle.  I'm not sure 
I agree with using ISO8601, though, mostly because it presupposes a 
date/time *string*.  In a high order language, I want to be able to use 
the native date/time object.  How about specifying that a language 
should use a date/time object or primitive is it has one, and an ISO8601 
string if it doesn't?

PT20:
I think we can handle the resource request pretty easily, and I think we 
need it.  We just need to add a resourceRequest attribute of type 
Dictionary and treat any such resource request as a hard request.  
Alternatively, we could have a hardResourceRequest and a 
softResourceRequest.  The former is simpler, but the later saves us from 
talking about this again for DRMAAv3. :)

Thinking about whether a resource request should be an optional 
attribute makes created in me a doubt about the value of the 
UnsupportedAttributeException.  Should it be possible to have the 
implementation just ignore unsupported optional attributes?  It would 
certainly be easier than repeatedly attempting to submit until all the 
offending attributes are removed from the template.  Maybe it would help 
to have the exception detail *all* unsupported attributes at once.  Just 
thinking out loud here...

Daniel